mat (0.6.1-2) unstable; urgency=medium

  [ Sascha Steinbiss ]
  * Allow stderr output in autopkgtest.

 -- intrigeri <intrigeri@debian.org>  Fri, 15 Jan 2016 01:11:55 +0000

mat (0.6.1-1) unstable; urgency=medium

  [ Sascha Steinbiss ]
  * New upstream release, including:
    - Support cleaning TIFF files.
    - More extensive cleaning of Torrent files.
    - Don't segfault when listing supported formats in the GUI.
  * Add an autopkgtest that runs the upstream test suite.
  * Remove obsolete {build,run}-time dependency on Hachoir.

  [ Ximin Luo ]
  * Hand over package to pkg-privacy team.

 -- intrigeri <intrigeri@debian.org>  Mon, 11 Jan 2016 14:49:49 +0000

mat (0.5.4-1) unstable; urgency=medium

  * Import new upstream release:
    - Fix localization support
    - Update translations
    - PDF with different page-size are now handled correctly
    - Support drag'n'dropping multiple files at once
    - Don't go mad if a "data" folder exists in the current directory
      (Closes: #759819, #782261)
    - Simplify the GUI
    - Minor typo and bug fixes
    - Fix encoding and timezone handling in archive support (Closes: #789833).
  * Declare compliance with Standards-Version 3.9.6 (no change required).
  * Use HTTPS and cgit URL in the Vcs-Browser control field.
  * debian/copyright: update bencode/* location.
  * Bump upstream and debian/* copyright years.
  * Add Recommends on gir1.2-gtk-3.0, that's needed for the GUI.
    Thanks to Patrick Schleizer <adrelanos@riseup.net> for the bug report!
    (Closes: #788099).
  * Update upstream signing key.
  * Drop all patches: they're part of the upstream 0.5.4 release.
  * debian/copyright: fix typo that made a wildcard match nothing.
  * Add dh-python to Build-Depends.
  * Add Recommends on gir1.2-gdkpixbuf-2.0, gir1.2-glib-2.0
    and gir1.2-nautilus-3.0.
  * debian/control: fix grammar error and typo in long description.

 -- intrigeri <intrigeri@debian.org>  Thu, 16 Apr 2015 11:05:47 +0200

mat (0.5.2-3) unstable; urgency=medium

  * Put under the umbrella of the Anonymity Tools Debian Maintainers team.
  * Remove bertagaz from Uploaders: he actually never had time to work
    on this package.
  * Ship armored upstream OpenPGP key instead of binary one,
    accordingly drop debian/source/include-binaries.

 -- intrigeri <intrigeri@debian.org>  Fri, 29 Aug 2014 11:20:41 -0700

mat (0.5.2-2) unstable; urgency=medium

  * Drop obsolete {build,runtime} dependency on python-gobject.

 -- intrigeri <intrigeri@debian.org>  Sun, 08 Jun 2014 00:46:49 +0200

mat (0.5.2-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.

 -- intrigeri <intrigeri@debian.org>  Thu, 03 Apr 2014 10:44:26 +0200

mat (0.5.2~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop Debian patches, applied upstream.
  * Update debian/source/include-binaries accordingly to the upstream
    signing key move.
  * Configure gbp to take into account that upstream tarballs are now
    compressed with xz.

 -- intrigeri <intrigeri@debian.org>  Mon, 17 Feb 2014 17:34:40 +0100

mat (0.5-1) UNRELEASED; urgency=medium

  * New upstream release:
      - Better support for zip archives and tarballs.
      - Handle read-only files inside archives.
      - Handle zip-specific metadata.
      - Allow picking which unsupported files are added to the "clean"
        archive, in the GUI.
  * Support .xz upstream tarballs in debian/watch.
  * Have uscan automatically check upstream tarball signatures.
    Accordingly add debian/upstream-signing-key.pgp
    to debian/source/include-binaries.
  * Drop 0001-Add-Keywords-to-the-desktop-file.patch: applied upstream.
  * Update upstream copyright and licensing information.
  * Bump copyright years for the Debian packaging.
  * Bump debhelper compatibility level to 9.
  * Don't attempt to install TODO: it was removed from the upstream source.
  * Do not explicitly install the upstream README: dh_installdocs does
    it automatically.
  * Update (commented-out) command to run the upstream test suite
    in debian/rules.
  * Move the fallback target on top of debian/rules.
  * Run the upstream test suite at package build time. It is still a bit
    broken, and returns 0 on failure, but let's start somewhere.
  * Run upstream test suite in C.UTF-8 locales, else test files with funny
    names break it.
  * New patch: 0001-Do-not-attempt-to-install-non-existing-TODO-file.patch.
  * Declare compatibility with Standards-Version 3.9.5.

 -- intrigeri <intrigeri@debian.org>  Tue, 21 Jan 2014 12:04:19 +0100

mat (0.4.2-1) unstable; urgency=low

  * New upstream release:
    - Fix PDF file deletion in some cases (Closes: 726640).
    - Improve Torrent handling.
    - Various minor fixes, code refactoring and improvements.
    - The Nautilus plugin warns if the file is non-writable.
  * Recommend python-nautilus, needed by the Nautilus extension.
  * New patch: 0001-Add-Keywords-to-the-desktop-file.patch.

 -- intrigeri <intrigeri@debian.org>  Thu, 31 Oct 2013 17:00:13 +0100

mat (0.4-1) unstable; urgency=low

  * New upstream release:
    - Support of MPEG Audio, Ogg Vorbis and Free Lossless Audio Codec
      is now official.
    - Port from GTK+ 2.0 to GTK+ 3.0 and Glade.
    - Simplified GUI.
    - Multiples files can now be dropped into the GUI.
    - Various runtime and test suite bugfixes.
    - Fix exiftool presence check (Closes: #719140).
    - Move to a more sound Python namespace (Closes: #689409).
    - Install the logo to the right place (Closes: #693967).
    - Handle read-only files properly (Closes: #721572).
    - Handle empty files properly (Closes: #724544).
    - Many new translations.
  * Bump Python dependency from 2.6 to 2.7.
  * Update dependencies to take into account that the MAT now
    heavily uses GI.
  * Update poppler dependency to use GI.
  * Drop 0001-gettext.install-defines-_-don-t-redefine-it.patch:
    applied upstream.
  * Update recommended packages details in README.Debian.
  * Declare compatibility with Standards-Version 3.9.4.
  * Use canonical URL for Vcs-Git control field.

 -- intrigeri <intrigeri@debian.org>  Mon, 14 Oct 2013 11:49:35 +0200

mat (0.3.4-1) experimental; urgency=low

  * Imported Upstream version 0.3.4
  - Fix the logo's path, again
  - Update the French translation
  * Add 0001-gettext.install-defines-_-don-t-redefine-it.patch:
    gettext.install defines "_", don't redefine it. This fixes
    a regression against 0.3.2 that makes it so translations are not taken
    into account.

 -- intrigeri <intrigeri@debian.org>  Tue, 08 Jan 2013 22:32:26 +0100

mat (0.3.3-1) experimental; urgency=low

  * Imported Upstream version 0.3.3
  - Reorganize source tree and files installation location.
    (Closes: #689409)
  - Fix the logo's path. (Closes: #693967)
  - Add German translation.
  - Set executable permission on the setup script.
  - Use UTF-8 encoding for the tarfile module source code file.
  - Fix the FreeDesktop menu file.
  - Various test suite improvements, including compatibility
    with Python 2.7.
  - Various coding style and robustness improvements.
  - Preliminary support for choosing the quality of producted PDF.
  - Changing options if now also effective on added files too.
  - Improve the "preferences" popup.

 -- intrigeri <intrigeri@debian.org>  Sun, 06 Jan 2013 10:58:18 +0100

mat (0.3.2-1) unstable; urgency=low

  * Imported Upstream version 0.3.2
  - Add French translation and improve pot file.
  - Clearer messages for missings libraries.
  - Display a logo in desktop menus.

 -- intrigeri <intrigeri@debian.org>  Mon, 28 May 2012 20:10:23 +0200

mat (0.3.1-1) unstable; urgency=low

  * New upstream release:
  - Fix a logo-related bug.
  - Fix a PDF-related bug in the testsuite.
  - Fix PO files generation and installation.
  - Fix encoding issues
  - Better handling of dependencies regarding to PDF processing
  * Migrate to a more standard gbp repository layout.
  * Add missing email address in debian/copyright.
  * Update DEP-5 URL.
  * Reformat debian/copyright using cme.
  * Remove obsolete Lintian override.
  * Bump Standards-Version to 3.9.3, no change required.
  * New patches, cherry-picked from upstream, that update
    French translation:
    - 0001-Add-french-translation-and-improve-pot-file.patch
    - 0002-Update-french-translation.patch
  * New patch: 0003-Get-localized-strings-from-the-text-domain-where-the.patch
    Get localized strings from the text domain where they live: MAT.
  * New patch: 0004-Have-gettext-find-translations-where-they-are-and-do.patch
    Have gettext find translations where they are, and don't duplicate its work.
  * Update dependencies: python-pdfrw is now required
    to deal with PDF files.
  * Fix duplicate Copyright field in debian/copyright.

 -- intrigeri <intrigeri@debian.org>  Wed, 09 May 2012 10:28:59 +0200

mat (0.3.0-1) unstable; urgency=low

  * New upstream release.
  * Drop 0001-Fix-a-critical-bug-thanks-to-omaylorga patch:
    is part of the new upstream release.
  * Update manpage name: mat-cli(1) -> mat(1).

 -- intrigeri <intrigeri@debian.org>  Thu, 03 May 2012 11:35:22 +0200

mat (0.2.2-2) unstable; urgency=low

  * Cherry-pick critical bugfix commit from upstream Git:
    "strict" cleaning was broken in the GUI in 0.2.2-1.

 -- intrigeri <intrigeri@debian.org>  Wed, 25 Jan 2012 17:10:13 +0100

mat (0.2.2-1) unstable; urgency=low

  * New upstream release:
    - update documentation
    - improve tests
    - various bugfixes

 -- intrigeri <intrigeri+debian@boum.org>  Thu, 29 Dec 2011 18:34:03 +0100

mat (0.2.1-1) unstable; urgency=low

  * New upstream release:
    - fix critical bugs in GUI
    - handle OpenDocument metadata
    - various bugfixes

 -- intrigeri <intrigeri+debian@boum.org>  Sat, 24 Dec 2011 17:49:14 +0100

mat (0.2-1) unstable; urgency=low

  * New upstream release:
    - documentation improvements
    - drag'n'drop support
    - bugfixes
    - testsuite improvements

 -- intrigeri <intrigeri+debian@boum.org>  Tue, 13 Dec 2011 12:37:51 +0100

mat (0.1~5.gite7a930-1) unstable; urgency=low

  * New upstream Git snapshot at commit e7a930.
  * Drop all patches (merged upstream).
  * Clarify copyright and license on bencode.
  * Cleanup debian/copyright: pdfrw is not embedded anymore.
  * Add missing dependency on exiftool.
  * List supported formats in long description.
  * Fix spelling in long description.
  * New patch: 0001-Do-not-try-to-install-files-that-we-don-t-ship-anymo.patch

 -- intrigeri <intrigeri+debian@boum.org>  Sun, 23 Oct 2011 14:48:04 +0200

mat (0.1~4.git2c9182-2) unstable; urgency=low

  * Fix dependencies: depend on pdfrw instead of recommending it.

 -- intrigeri <intrigeri+debian@boum.org>  Thu, 25 Aug 2011 11:07:55 +0200

mat (0.1~4.git2c9182-1) unstable; urgency=low

  * New upstream Git snapshot at commit 2c9182.
  * New patches:
    - 0001-Use-relative-path-in-setup.py.patch
    - 0002-Fix-ugly-typo.patch
    - 0003-Remove-embedded-pdfrw-copy.patch
    - 0004-Don-t-install-FORMATS-file-in-a-stupid-place.patch
  * Recommend pdfrw since it's not embedded anymore.

 -- intrigeri <intrigeri+debian@boum.org>  Thu, 25 Aug 2011 00:41:27 +0200

mat (0.1~3.gitf96246-1) unstable; urgency=low

  * New upstream Git snasphot at commit f96246:
    - Cleanup useless and repetitive wording in the manpage.
    - Don't use hyphen as minus sign in manpage.
    - Update program name in manpage.
    - Remove deprecated Encoding key in desktop file.
    - Improve --help message.
    - Make it clear JPEG is only partially supported:
      Canon Raw tags are not dealt with.
    - Support Torrent files.
    - Improved images support.
    - User interface improvements.
  * Drop all patches (integrated upstream).

 -- intrigeri <intrigeri+debian@boum.org>  Mon, 22 Aug 2011 18:30:49 +0200

mat (0.1~2.git54f665-1) unstable; urgency=low

  * New upstream Git snapshot at commit 54f665:
    - Fix manpage naming.
    - Install the desktop file.
    - Typo fixes in documentation.
    - Warn for non-supported files
    - Add a column for the state of the cleaned copy.
    - Revert the atime/mtime feature (unsupported by ZIP).
  * Install manpages.
  * Drop patch 0001-Install-.desktop-file.patch (merged upstream).
  * Bump standards version, no change required.
  * Manpage and desktop file fixes - new patches:
    - 0001-Cleanup-useless-and-repetitive-wording-in-the-manpag.patch
    - 0002-Don-t-use-hyphen-as-minus-sign-in-manpage.patch
    - 0003-Update-program-name-in-manpage.patch
    - 0004-Remove-deprecated-Encoding-key-in-desktop-file.patch

 -- intrigeri <intrigeri+debian@boum.org>  Sun, 21 Aug 2011 12:01:03 +0200

mat (0.1~1.git03f07b-1) unstable; urgency=low

  * Initial Debian packaging.
  * New patch: install .desktop file.

 -- intrigeri <intrigeri+debian@boum.org>  Fri, 19 Aug 2011 17:56:34 +0200
